function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

import React from "react";
import transitionStyles from "./transition-styles";
import { CSSTransition } from "react-transition-group";
import { ENTER_TIMEOUT, EXIT_TIMEOUT } from "./container";
import useSheet from "react-jss";

var timeout = { enter: ENTER_TIMEOUT, exit: EXIT_TIMEOUT };

var AlertTransition = function AlertTransition(_ref) {
	var classes = _ref.sheet.classes,
	    props = _objectWithoutProperties(_ref, ["sheet"]);

	return props && props.children ? React.createElement(
		CSSTransition,
		{
			timeout: timeout,
			classNames: classes,
			onExited: props.onExited
		},
		props.children
	) : null;
};

export default useSheet(transitionStyles)(AlertTransition);